summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2016-02-20 09:05:20 +0100
committerMartin Väth <martin@mvath.de>2016-02-20 09:05:20 +0100
commit886102b76fc82b44e363833c222f984ecd5f09c6 (patch)
tree4bd34fb063d5f3289edd075fdddb9376f8f50f94 /app-admin/checksec/checksec-1.7.4.ebuild
parentapp-admin/checksec: Fix USE=vanilla. Install provided manpage, completion (diff)
downloadmv-886102b76fc82b44e363833c222f984ecd5f09c6.tar.gz
mv-886102b76fc82b44e363833c222f984ecd5f09c6.tar.bz2
mv-886102b76fc82b44e363833c222f984ecd5f09c6.zip
app-admin/checksec: Version bump, use upstream mechanisms, add test
Diffstat (limited to 'app-admin/checksec/checksec-1.7.4.ebuild')
-rw-r--r--app-admin/checksec/checksec-1.7.4.ebuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/app-admin/checksec/checksec-1.7.4.ebuild b/app-admin/checksec/checksec-1.7.4.ebuild
new file mode 100644
index 00000000..94624976
--- /dev/null
+++ b/app-admin/checksec/checksec-1.7.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MY_PN=${PN}.sh
+DESCRIPTION="Tool to check properties of executables (e.g. ASLR/PIE, RELRO, PaX, Canaries)"
+HOMEPAGE="https://github.com/slimm609/checksec.sh"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test update"
+DEPEND="test? ( dev-python/demjson dev-libs/libxml2 )"
+
+case ${PV} in
+99999999*)
+ EGIT_REPO_URI="git://github.com/slimm609/${MY_PN}.git"
+ inherit git-r3
+ PROPERTIES="live"
+ KEYWORDS=""
+ SRC_URI="";;
+*)
+ RESTRICT="mirror"
+ SRC_URI="https://github.com/slimm609/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S=${WORKDIR}/${MY_PN}-${PV}
+esac
+
+DOCS=( ChangeLog README.md )
+
+src_prepare() {
+ if ! use update
+ then sed -i -e '/--update/d' extras/zsh/_${PN} || die
+ sed -i -e 's/^\([ ]*pkg_release=\)false/\1true/' ${PN} || die
+ fi
+ eapply_user
+}
+
+src_install() {
+ dobin ${PN}
+ insinto /usr/share/zsh/site-functions
+ doins extras/zsh/_${PN}
+ einstalldocs
+ doman extras/man/*
+}
+
+src_test() {
+ cd tests || return 0
+ ./test-checksec.sh || die
+}